# Generated by Django 3.1.12 on 2021-07-27 09:42

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('applications', '0008_applicationstate_update_sdc'),
    ]

    operations = [
        migrations.AlterField(
            model_name='registrationevent',
            name='provider',
            field=models.CharField(choices=[('datagraph', 'datagraph'), ('maggioli', 'maggioli')], max_length=32, verbose_name='provider'),
        ),
        migrations.AlterField(
            model_name='service',
            name='provider',
            field=models.CharField(choices=[('datagraph', 'datagraph'), ('maggioli', 'maggioli')], max_length=32, verbose_name='provider'),
        ),
        migrations.CreateModel(
            name='MaggioliConfig',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('modified_at', models.DateTimeField(auto_now=True, verbose_name='modified at')),
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('description', models.CharField(blank=True, max_length=128, verbose_name='description')),
                ('is_active', models.BooleanField(verbose_name='active')),
                ('url', models.URLField(verbose_name='URL')),
                ('connection_string', models.CharField(max_length=64, verbose_name='connection string')),
                ('institution_name', models.CharField(max_length=1024, verbose_name='institution name')),
                ('institution_code', models.CharField(max_length=32, verbose_name='institution code')),
                ('institution_email', models.EmailField(max_length=254, verbose_name='institution email')),
                ('institution_ou', models.CharField(max_length=32, verbose_name='institution OU')),
                ('institution_aoo_code', models.CharField(max_length=32, verbose_name='AOO code')),
                ('sending_mode', models.CharField(choices=[('Cartaceo', 'Cartaceo'), ('PEC', 'PEC'), ('Interoperabile', 'Interoperabile'), ('InterPRO', 'InterPRO')], max_length=32, null=True, verbose_name='sending mode')),
                ('sending_method', models.CharField(max_length=32, null=True, verbose_name='sending method')),
                ('classification_hierarchy', models.CharField(max_length=16, null=True, verbose_name='classification hierarchy')),
                ('folder_number', models.CharField(max_length=16, null=True, verbose_name='folder number')),
                ('folder_year', models.CharField(max_length=4, null=True, verbose_name='folder year')),
                ('document_type', models.CharField(max_length=32, verbose_name='document type')),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='maggioli_configs', to='applications.service', verbose_name='service')),
            ],
        ),
        migrations.AddConstraint(
            model_name='maggioliconfig',
            constraint=models.UniqueConstraint(condition=models.Q(is_active=True), fields=('service', 'is_active'), name='applications_maggioliconfig_unique_service_is_active_true'),
        ),
    ]
